import request from '@/utils/request'

// 查询设备命令列表
export function listCommand(query) {
  return request({
    url: '/system/command/list',
    method: 'get',
    params: query
  })
}

// 查询设备命令详细
export function getCommand(commandId) {
  return request({
    url: '/system/command/' + commandId,
    method: 'get'
  })
}

// 新增设备命令
export function addCommand(data) {
  return request({
    url: '/system/command',
    method: 'post',
    data: data
  })
}

// 修改设备命令
export function updateCommand(data) {
  return request({
    url: '/system/command',
    method: 'put',
    data: data
  })
}

// 删除设备命令
export function delCommand(commandId) {
  return request({
    url: '/system/command/' + commandId,
    method: 'delete'
  })
}
